## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate ruma-events

Name:           rust-%{crate}
Version:        0.23.2
Release:        %autorelease
Summary:        Serializable types for the events in the Matrix specification

# Upstream license specification: MIT
# https://github.com/ruma/ruma/issues/386
License:        MIT
URL:            https://crates.io/crates/ruma-events
Source:         %{crates_source}
# Initial patched metadata
# * Add missing test dependencies
Patch0:         ruma-events-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Serializable types for the events in the Matrix specification.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+compat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compat-devel %{_description}

This package contains library source intended for building other packages
which use "compat" feature of "%{crate}" crate.

%files       -n %{name}+compat-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+criterion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+criterion-devel %{_description}

This package contains library source intended for building other packages
which use "criterion" feature of "%{crate}" crate.

%files       -n %{name}+criterion-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+markdown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+markdown-devel %{_description}

This package contains library source intended for building other packages
which use "markdown" feature of "%{crate}" crate.

%files       -n %{name}+markdown-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pulldown-cmark-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pulldown-cmark-devel %{_description}

This package contains library source intended for building other packages
which use "pulldown-cmark" feature of "%{crate}" crate.

%files       -n %{name}+pulldown-cmark-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+unstable-exhaustive-types-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-exhaustive-types-devel %{_description}

This package contains library source intended for building other packages
which use "unstable-exhaustive-types" feature of "%{crate}" crate.

%files       -n %{name}+unstable-exhaustive-types-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+unstable-pre-spec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-pre-spec-devel %{_description}

This package contains library source intended for building other packages
which use "unstable-pre-spec" feature of "%{crate}" crate.

%files       -n %{name}+unstable-pre-spec-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 11 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.23.2-1
- Uncommitted changes

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.22.0~alpha.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.22.0~alpha.2-3
- fixup! Ignore tests on 32-bit architectures

* Sun Jan 03 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.22.0~alpha.2-2
- Ignore tests on 32-bit architectures

* Sun Jan 03 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.22.0~alpha.2-1
- Initial import
